AUTHLIB(3)

NAME
authlib - Courier Authentication Library

SYNOPSIS

courierauthconfig [[--ldflags] | [--cppflags]]

DESCRIPTION

The Courier authentication library consists of two libraries:

-lcourierauth
    Authentication functions.

-lcourierauthsasl
    SASL authentication functions.

courierauthconfig --cppflags produces on standard output any necessary compiler flags that are needed to access the courierauth.h and the courierauthsasl.h header files. courierauthconfig --ldflags produces on standard output any necessary compiler flags that are needed to link against the courierauth or courierauthsasl libraries.

SEE ALSO

auth_meta(3)[1], auth_generic_meta(3)[2], auth_login_meta(3)[3], auth_getuserinfo_meta(3)[4], auth_enumerate(3)[5], auth_mkhomedir(3)[6], auth_passwd(3)[7], auth_sasl(3)[8].

NOTES

1.  auth_meta(3)
    [set $man.base.url.for.relative.links]/auth_meta.html

2.  auth_generic_meta(3)
    [set $man.base.url.for.relative.links]/auth_generic.html

3.  auth_login_meta(3)
    [set $man.base.url.for.relative.links]/auth_login.html

4.  auth_getuserinfo_meta(3)
    [set $man.base.url.for.relative.links]/auth_getuserinfo.html

5.  auth_enumerate(3)
    [set $man.base.url.for.relative.links]/auth_enumerate.html

6.  auth_mkhomedir(3)
    [set $man.base.url.for.relative.links]/auth_mkhomedir.html

7.  auth_passwd(3)
    [set $man.base.url.for.relative.links]/auth_passwd.html

8.  auth_sasl(3)
    [set $man.base.url.for.relative.links]/auth_sasl.html